fibreconfig(8)

NAME
fibreconfig - Tool for configuring settings for Fibre Channel controllers and targets.

SYNOPSIS
fibreconfig [-r] [-c xx:xx:xx:xx:xx:xx:xx:xx] [-a AL_PA] [-s port_speed] [-t topology_type] [-l] [-v]

OPTIONS
The available options are as follows:

-r  Dynamically updates system settings. Note: Cannot be used in conjunction with -c option.

-c  Defines the host port used for an operation. By default, if no other options are specified, fibreconfig will display information about the specified host port.

-a  Sets the AL_PA for specified host port. The AL_PA must be one of the values defined in Table 1.1 located in the examples section.

-s  Sets speed to [ 1gigabit, 2gigabit, 4gigabit, auto ] for specified host port.

-t  Sets topology to [ nport, nlport, auto ] for specified host port.

-l  Lists all known information about all nodes ( controllers, targets, and their LUNs ).

-v  Display version number.

RETURN VALUES
Returned Error Code

0 No error.

-50 Error in user parameter list.

FILES

/sbin/fibreconfig
    Executable for version 2.0 and later.

EXAMPLES

1.  Set the AL_PA to 1E for a given host port.

    fibreconfig -c 00:11:22:33:44:55:66:77 -a 1E

2.  Disable the AL_PA for a given host port.

    fibreconfig -c 00:11:22:33:44:55:66:77 -a FF

3.  Set the speed to auto for a given host port.

    fibreconfig -c 00:11:22:33:44:55:66:77 -s auto

4.  Set the topology to nlport for a given host port.

    fibreconfig -c 00:11:22:33:44:55:66:77 -t nlport

5.  Table 1.1 List of valid AL_PA settings:

    =======================================

    01 02 04 08 0F 10 17 18 1B 1D 1E 1F 23 25 26 27 29 2A 2B 2C 2D 2E 31 32 33 34 35 36 39 3A 3C 43 45 46 47 49 4A 4B 4C 4D 4E 51 52 53 54 55 56 59 5A 5C 63 65 66 67 69 6A 6B 6C 6D 6E 71 72 73 74 75 76 79 7A 7C 80 81 82 84 88 8F 90 97 98 9B 9D 9E 9F A3 A5 A6 A7 A9 AA AB AC AD AE B1 B2 B3 B4 B5 B6 B9 BA BC C3 C5 C6 C7 C9 CA CB CC CD CE D1 D2 D3 D4 D5 D6 D9 DA DC E0 E1 E2 E4 E8 EF

DIAGNOSTICS
Return value on exit provides information about the success or failure of the utility.

ERRORS
See return values.

HISTORY
Last updated February 1, 2005.

BUGS
Known issues:

1.  Currently only displays information for Apple shipped Fibre Channel cards.